Package: org.codehaus.groovy.ast.stmt

## [Java] Class ReturnStatement

- org.codehaus.groovy.ast.stmt.ReturnStatement

- A return statement

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ReturnStatement` | `RETURN_NULL_OR_VOID` | Only used for synthetic return statements emitted by the compiler.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Expression` | `expression`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ReturnStatement (ExpressionStatement statement)`
    `ReturnStatement (Expression expression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getExpression()`
    `` | `String` | `getText()`
    `` | `boolean` | `isReturningNullOrVoid()`
    `` | `void` | `setExpression(Expression expression)`
    `` | `String` | `toString()`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, isClosed, getConnection, cancel, setFetchSize, getFetchSize, setFetchDirection, getWarnings, getFetchDirection, clearWarnings, getResultSet, executeLargeBatch, setMaxFieldSize, getLargeMaxRows, setMaxRows, setQueryTimeout, getMoreResults, getMoreResults, executeQuery, isPoolable, executeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, enquoteLiteral, getMaxFieldSize, enquoteIdentifier, getMaxRows, setCursorName, clearBatch, closeOnCompletion, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getQueryTimeout, isSimpleIdentifier, getResultSetType, getUpdateCount, getGeneratedKeys, setPoolable, setLargeMaxRows, addBatch, getLargeUpdateCount, enquoteNCharLiteral, setEscapeProcessing, getResultSetConcurrency, getResultSetHoldability, isCloseOnCompletion, unwrap, isWrapperFor`

- - ### Field Detail

    - #### public static final ReturnStatement RETURN_NULL_OR_VOID

      Only used for synthetic return statements emitted by the compiler. For comparisons use isReturningNullOrVoid() instead.

  - ### Property Detail

    - #### Expression expression

  - ### Constructor Detail

    - #### public ReturnStatement(ExpressionStatement statement)

    - #### public ReturnStatement(Expression expression)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### public String getText()

    - #### public boolean isReturningNullOrVoid()

    - #### public void setExpression(Expression expression)

    - #### public String toString()

    - #### public void visit(GroovyCodeVisitor visitor)